MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000100SoldatOtherpublic2011-10-13 00:322013-12-15 10:57
Reporterskoskav 
Assigned ToShoozza 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version1.6.1 
Target VersionFixed in Version1.6.3 
Summary0000100: Soldat freezes when using it's update feature
DescriptionThis applies when upgrading from 1.6.0, 1.6.1 and 1.6.2.

When Soldat finds an update at startup and you select "Update," it launches a page in the default browser (Chrome 15 beta here) to download the patch and gives it focus. While that was going on, Soldat has frozen, and the patching cannot be properly performed until you kill Soldat.exe.
Steps To ReproduceOpen version.txt and replace all occurrences of [current version] with [previous version], then start Soldat and select "Update."
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001325)
Shoozza (administrator)
2012-02-16 12:17

Clicking download disables the main window so no input will be accepted.
Sadly this will happen again when you update from 1.6.2 to 1.6.3.
But after that it wont (updates from 1.6.3 will not have this bug anymore).

- Issue History
Date Modified Username Field Change
2011-10-13 00:32 skoskav New Issue
2011-10-13 00:47 Shoozza Assigned To => Shoozza
2011-10-13 00:47 Shoozza Status new => confirmed
2012-02-03 15:03 Shoozza Assigned To Shoozza =>
2012-02-16 12:17 Shoozza Note Added: 0001325
2012-02-16 12:17 Shoozza Status confirmed => resolved
2012-02-16 12:17 Shoozza Fixed in Version => 1.6.3
2012-02-16 12:17 Shoozza Resolution open => fixed
2012-02-16 12:17 Shoozza Assigned To => Shoozza
2013-12-15 10:57 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker